/*******************************************************************/
/*******************************************************************/
/*          MODULE PC-URNE.C  --  HEADER                          */
/*******************************************************************/

#ifndef __PCURNE_H__
#define __PCURNE_H__

struct liste_t
{
    int Nombre_Effectifs;
    int Nombre_Suppleants;
    int Votes_Candidats[90];
    int Votes_Effectifs;
    int Votes_Suppleants;
    int Votes_Tete_Liste;
    int Votes_Liste;
};

/***********************************************/

void Initialise_Variables(char *Buffer);
int Lit_Fichier_PCC(char *Nom_Fichier);
int Lit_Fichier_ARR(char *Nom_Fichier);
void Additione_Vote_Multiple(int Scrutin, int Liste, int Bl);
int Ecrit_Table_PCC(char *Nom_Fichier);
void Transfert_Table_PCC(char *Nom_Fichier);
int Choix_Langue(int choix);
int Verifie_E_Vote(void);
int Saisie_Langue(void);

extern void Battery_Off(void);
extern int Kbhit(char COLOR,int loop);
extern int Getch(char COLOR);
extern void Check_Vote_Counters(void);
extern void Initialise_Date(char *Buffer);
extern void Recupere_E_Vote(int Position, char *Valeur, int Longueur);
extern boolean Est_Valide_E_Vote(int Position);
extern void Boucle_Erreur(void);
extern void Recupere_Crc(char *Carte,int Place);
extern void Calcul_Crc(char *Carte, int pos);
extern void Erreur(char *msg);
/*<< 9.01c*/
extern void Encrypt_Decrypt(char *pzInputData, char *pzPassword, unsigned int iSize); 
extern void Generate_Password(char *pzPassword, long Position, boolean bIndic);
/*>>*/

#endif /* __PCURNE_H__ */
/*******************************************************************/
/* END OF MODULE PC-URNE.C  --  HEADER                            */
/*******************************************************************/
